Bug 90592 - ThinkPad T40 Hangs On Resume
Summary: ThinkPad T40 Hangs On Resume
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: apmd (Show other bugs)
(Show other bugs)
Version: 9
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Jay Turner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-05-10 00:41 UTC by ammulder
Modified: 2015-01-08 00:05 UTC (History)
2 users (show)

Fixed In Version: 3.0.2-19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-19 20:26:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description ammulder 2003-05-10 00:41:03 UTC
Description of problem:
I just laid hands on an IBM ThinkPad T40.  About half the time I suspend it from
Linux, when I resume, it locks up.  Sometimes I see X-Windows but I am unable to
type or interact with it in any way.  Some times the screen backlight turns on
but nothing is displayed.  In either case, it does not respond to
Crtl-Alt-Backspace or Ctrl-Alt-Delete.


Version-Release number of selected component (if applicable):
kernel-3.4.20-9
apmd-3.0.2-18

How reproducible:
50%

Steps to Reproduce:
1. Start X-Windows
2. Open Terminal
3. su root
4. apm -s
5. Close laptop
6. Open laptop
7. Laptop attempts to resume
    
Actual results:
either backlight turns on but nothing is displayed, or X-Windows desktop appears
but I am unable to interact with it.

Expected results:
System is usable

Additional info:

Comment 1 Bill Nottingham 2003-05-19 00:25:23 UTC
Is screen blanking turned on in the BIOS? Try turning it off, if so.

Comment 2 ammulder 2003-05-19 12:04:50 UTC
Actually, the problem seemed to be resolved by unloading the sound driver during
suspend and reloading during resume.  The flag for this in /etc/sysconfig/apmd
worked for this except the sound driver (i810_audio) needed to be added to the
list of sound modules.

On a related note, I have noticed that screen blanking causes terminal problems
with the Red Hat 9 installer (once blanked, it never wakes up again), but I
guess that's a different issue.

Comment 3 Bill Nottingham 2003-05-19 20:26:21 UTC
Oh, *YUK*. A hardcoded list of sound modules? That's so broken.

Fixed better in 3.0.2-19.


Note You need to log in before you can comment on or make changes to this bug.